<template>
    <a :href="data?.link" target="_blank">
        <div class="text-center ">
            <div class="text-center mb-1  flex  ">
                <button type="button"
                    class="w-72 text-[15px] font-mk text-blue-600 bg-white bg-color hover:bg-primary hover:text-white border-gray-200 focus:ring-4 focus:outline-none focus:ring-gray-100 font-medium rounded-lg text-sm px-5 py-2 text-center inline-flex items-center mr-2 mb-2">
                    <fa-icon class="text-lg mr-2 text-blue-600 icon" :icon="data?.icon" />
                    {{ data?.name }}
                </button>
                <!-- <li class=" items-center space-x-3 list-none">
                    <fa-icon class="text-sm text-gray-500" icon="fa-angles-right" />
                    <span class="text-[15px] hover:underline font-mk text-blue-600 ">{{
                        data?.name
                    }}</span>
                </li> -->
            </div>
        </div>
    </a>
</template>
<script setup>

// const props=  defineProps({
//     data: {
//         type: Object,
//         default: () => ({})
//     }
// })
</script>
<style>
.bg-color:hover .icon {
    color: #eeee !important;
}
</style>